### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-category-filter/ecl-category-filter-list/ecl-category-filter-list.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-category-filter-list`
templateUrl | `./ecl-category-filter-list.component.html`

### Index

###### Properties

- className
- eclCategoryFilterItems
- role

###### Methods

- updateChildrenItemsLevel
- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- attr.role
- class.ecl-category-filter__list

###### Accessors

- level
- hasChildren
- children

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'list'`

class.ecl-category-filter__list
Type : `boolean`
Default value : `true`

### Methods

updateChildrenItemsLevel
`updateChildrenItemsLevel(value: number)`

Parameters :

Name | Type | Optional
value | `number` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Type : `boolean`
Default value : `true`
Decorators : `@HostBinding('class.ecl-category-filter__list')`

eclCategoryFilterItems
Type : `QueryList<EclCategoryFilterItemComponent>`
Decorators : `@ContentChildren(undefined)`

role
Type : `string`
Default value : `'list'`
Decorators : `@HostBinding('attr.role')`

### Accessors

level
get `level()`
set `level(value: number)`

Parameters :

Name | Type | Optional
value | `number` | No

Returns : `void`

hasChildren
get `hasChildren()`

children
get `children()`

# results matching ""

# No results matching ""